# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rnr"
version = "0.5.1"
authors = ["Ismael González Valverde <ismgonval@gmail.com>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """
RnR is a command-line tool to rename multiple files and directories that
supports regular expressions
"""
homepage = "https://github.com/ismaelgv/rnr"
readme = "README.md"
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/ismaelgv/rnr"

[[bin]]
name = "rnr"
path = "src/main.rs"

[dependencies.ansi_term]
version = "0.11"

[dependencies.any_ascii]
version = "^0.3.0"

[dependencies.anyhow]
version = "1.0.95"

[dependencies.chrono]
version = "0.4"

[dependencies.clap]
version = "^4.0"
features = ["derive"]

[dependencies.difference]
version = "^2.0.0"

[dependencies.path_abs]
version = "^0.4"

[dependencies.rayon]
version = "1.10.0"

[dependencies.regex]
version = "^1"

[dependencies.serde]
version = "^1.0"

[dependencies.serde_derive]
version = "^1.0"

[dependencies.serde_json]
version = "^1.0"

[dependencies.tempfile]
version = "^3"

[dependencies.walkdir]
version = "^2"

[build-dependencies.clap]
version = "^4.0"
features = ["derive"]

[build-dependencies.clap_complete]
version = "^4.0"

[build-dependencies.clap_mangen]
version = "^0.2"
